# synfig::KeyframeList Class Reference

`#include <keyframe.h>`

List of all members.

## Public Member Functions

iterator | add (const Keyframe &x)
void | erase (const UniqueID &x)
iterator | find (const UniqueID &x)
const_iterator | find (const UniqueID &x) const
iterator | find (const Time &x)
| Finds the keyframe at an exact point in time.
iterator | find_next (const Time &x)
| Finds the keyframe after that point in time.
iterator | find_prev (const Time &x)
| Finds the keyframe before that point in time.
const_iterator | find (const Time &x) const
const_iterator | find_next (const Time &x) const
const_iterator | find_prev (const Time &x) const
void | find_prev_next (const Time &time, Time &prev, Time &next) const
void | insert_time (const Time &location, const Time &delta)
void | dump () const
void | sync ()

## Member Function Documentation

KeyframeList::iterator KeyframeList::add | ( | const Keyframe & | x | ) |

References sync().

void KeyframeList::erase | ( | const UniqueID & | x | ) |

References find().

KeyframeList::iterator KeyframeList::find | ( | const UniqueID & | x | ) |

References synfig::UniqueID::get_uid().

Referenced by erase(), and find().

KeyframeList::const_iterator KeyframeList::find | ( | const UniqueID & | x | ) | const

References synfig::UniqueID::get_uid().

KeyframeList::iterator KeyframeList::find | ( | const Time & | x | ) |

Finds the keyframe at an exact point in time.

References synfig::Time::get_string().

KeyframeList::iterator KeyframeList::find_next | ( | const Time & | x | ) |

Finds the keyframe after that point in time.

References synfig::Time::get_string().

Referenced by find_next(), find_prev_next(), and insert_time().

KeyframeList::iterator KeyframeList::find_prev | ( | const Time & | x | ) |

Finds the keyframe before that point in time.

References synfig::Time::epsilon(), and synfig::Time::get_string().

Referenced by find_prev(), and find_prev_next().

KeyframeList::const_iterator KeyframeList::find | ( | const Time & | x | ) | const

References find().

KeyframeList::const_iterator KeyframeList::find_next | ( | const Time & | x | ) | const

References find_next().

KeyframeList::const_iterator KeyframeList::find_prev | ( | const Time & | x | ) | const

References find_prev().

void KeyframeList::find_prev_next | ( | const Time & | time,
|  | Time & | prev,
|  | Time & | next |
| ) |  |  | const

References synfig::Time::begin(), synfig::Time::end(), find_next(), and find_prev().

void KeyframeList::insert_time | ( | const Time & | location,
|  | const Time & | delta |
| ) |  |  |

References find_next(), and sync().

void KeyframeList::dump | ( |  | ) | const

References synfig::info().

void KeyframeList::sync | ( |  | ) |

Referenced by add(), and insert_time().

The documentation for this class was generated from the following files:

- keyframe.h
- keyframe.cpp